{"openapi":"3.0.4","info":{"title":"List Roles","description":"List the available Roles","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/identity"}],"paths":{"/api/roles":{"get":{"tags":["Roles"],"summary":"List Roles","description":"List the available Roles","operationId":"ListRoles","responses":{"200":{"description":"List the available roles","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/RoleResponse"}},"example":[{"id":"asnvr5ne35","roleId":{"scope":"LUSID","code":"FrontOfficeAdministrator"},"source":"LusidUser","name":"LUSID-FrontOfficeAdministrator","description":"Front office administration role","samlName":"LUSID-FrontOfficeAdministrator"}]}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}